/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2019/10/15
* Description        : Main program body.
*******************************************************************************/

#include "debug.h"
#include "iic.h"

/* Global Variable */
/*  */
uint8_t  Buffer_Rx[100];
uint8_t  Rx_Idx=0;
volatile uint8_t  Flag_RcvOK = 0;       //ձʾ


/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
    uint8_t  i;

    NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2);
    Delay_Init();

    USART_Printf_Init(115200);

    I2C_GPIO_Configuration();





    printf("SystemClk:%d\r\n",SystemCoreClock);

    while(1)
    {

        if(1 == Flag_RcvOK)
        {
            Flag_RcvOK = 0;
            for(i=0;i<Rx_Idx;i++)
            {
                printf("rx:%d\r\n",Buffer_Rx[i]);
            }
        }
    }
}



